/*
 * Copyright (c) 2023-2025 Datalayer, Inc.
 * Distributed under the terms of the Modified BSD License.
 */
import { createStore } from 'zustand/vanilla';
import { useStore } from 'zustand';
export const gradeStore = createStore((set, get) => ({
    gradeRequest: undefined,
    grade: (gradeRequest) => set((state) => ({ gradeRequest })),
}));
export function useGradeStore(selector) {
    return useStore(gradeStore, selector);
}
export default useGradeStore;
